Path: 宝塔面板 API 参考 › Proxy 反向代理

`POST /mod/proxy/com/set_remak/stype`

方法名拼写为 `set_remak`（非 remark）。

## Request body

_Required._

- `opPostModProxyComSetRemakStype.request_time` (string, required) — Unix 时间戳；与接口密钥一起生成 request_token。
- `opPostModProxyComSetRemakStype.request_token` (string, required) — 按 API 概览中的双重 MD5 签名算法生成。
- `opPostModProxyComSetRemakStype.site_name` (string, required) — 站点名称
- `opPostModProxyComSetRemakStype.id` (integer, required) — 站点 ID
- `opPostModProxyComSetRemakStype.remark` (string, optional) — 备注内容

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "site_name": "string",
  "id": 0,
  "remark": "string"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/mod/proxy/com/set_remak/stype" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "site_name=<site_name>" \
  --data-urlencode "id=<id>" \
  --data-urlencode "action=set_remak"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "code": 0,
  "status": true,
  "msg": "修改成功"
}
```


## set_remak

> **注意**：方法名拼写为 `set_remak`（非 remark）。


设置反向代理站点的备注信息。

- **路由**：`POST /mod/proxy/com/set_remak/stype`
- **action**：`set_remak`

## 输入参数
| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| site_name | 是 | string | 站点名称 |
| id | 是 | int | 站点 ID |
| remark | 否 | string | 备注内容 |

## 示例

### 请求
```bash
curl -X POST ".../mod/proxy/com/set_remak/stype" \
  -d "site_name=example.com&id=24&remark=API文档测试备注"
```

### 响应
```json
{"code": 0, "status": true, "msg": "修改成功"}
```

